Bug 839614 - [abrt] evolution-3.4.3-2.1.fc17: read_metadata: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] evolution-3.4.3-2.1.fc17: read_metadata: Process /usr/bin/evolution wa...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution-ews (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:f8630b2abec8a8f82ea081cf227...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-12 08:48 EDT by Mikhail
Modified: 2012-07-23 04:00 EDT (History)
4 users (show)

See Also:
Fixed In Version: evolution-ews-3.4.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-23 04:00:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (51.88 KB, text/plain)
2012-07-12 08:48 EDT, Mikhail
no flags Details
File: gconf_subtree (10.75 KB, text/plain)
2012-07-12 08:48 EDT, Mikhail
no flags Details
File: xsession_errors (8.88 KB, text/plain)
2012-07-12 08:48 EDT, Mikhail
no flags Details
File: maps (80.63 KB, text/plain)
2012-07-12 08:48 EDT, Mikhail
no flags Details
File: dso_list (27.97 KB, text/plain)
2012-07-12 08:49 EDT, Mikhail
no flags Details
File: build_ids (11.29 KB, text/plain)
2012-07-12 08:49 EDT, Mikhail
no flags Details
File: var_log_messages (4.08 KB, text/plain)
2012-07-12 08:49 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2012-07-12 08:48:36 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        evolution
crash_function: read_metadata
executable:     /usr/bin/evolution
kernel:         3.4.4-5.fc17.i686.PAE
pid:            1587
pwd:            /home/mikhail
time:           Чт. 12 июля 2012 16:22:36
uid:            1000
username:       mikhail

backtrace:      Text file, 53124 bytes
build_ids:      Text file, 11562 bytes
dso_list:       Text file, 28641 bytes
gconf_subtree:  Text file, 11006 bytes
maps:           Text file, 82568 bytes
var_log_messages: Text file, 4176 bytes
xsession_errors: Text file, 9089 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/mikhail/2

core_backtrace:
:c56c7cbec97e922af0fd58d36305646744a58ee9 0x34f3c - libsoup-2.4.so.1 -
:c56c7cbec97e922af0fd58d36305646744a58ee9 0x36219 - libsoup-2.4.so.1 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xebbf g_cclosure_marshal_VOID__VOIDv libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xd042 - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26486 g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:c56c7cbec97e922af0fd58d36305646744a58ee9 0x464dd - libsoup-2.4.so.1 -
:9f6e94e09985d1fc3b025dc4d9988049a149c91d 0x82cb - libgiognutls.so -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x46feb g_main_context_dispatch libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47390 - libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x477f3 g_main_loop_run libglib-2.0.so.0 -
:bad1bfe7dc70cbbdf68103cbc79fb9e464b0bd25 0xd331 e_ews_soup_thread libeews-1.2.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x6c2e4 - libglib-2.0.so.0 -
:3315dc1f02dea0ab28a3f5f08ce3f07c9e156291 0x6adf start_thread libpthread.so.0 -
:0207d5953b76482d89328efc6cad7188bc3f7c1a 0xf156e clone libc.so.6 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=telecon17l.afbank.ru
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=928ad44a76a7008e0260558b00000016-1342065257.237810-633043023
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/mikhail/keyring-iaaqSG
:QTINC=/usr/lib/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=mikhail
:USERNAME=mikhail
:MAIL=/var/spool/mail/mikhail
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/mikhail/.local/bin:/home/mikhail/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/mikhail
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1059
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/mikhail
:SHLVL=1
:LOGNAME=mikhail
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Df6YJ42IDK,guid=5cbba8644c4779950f4ebd1b00000026
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/mikhail
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-mikhail-LlI7gg/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1064,unix/unix:/tmp/.ICE-unix/1064
:GPG_AGENT_INFO=/run/user/mikhail/keyring-iaaqSG/gpg:0:1
:SSH_AUTH_SOCK=/run/user/mikhail/keyring-iaaqSG/ssh
:LC_TIME=ru_RU.utf8
:LC_NUMERIC=ru_RU.utf8
:LC_MONETARY=ru_RU.utf8
:LC_MEASUREMENT=ru_RU.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/evolution.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1587
:DESKTOP_STARTUP_ID=gnome-shell-1295-telecon17l.afbank.ru-evolution-1_TIME96974

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 23949                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       23949                23949                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/mikhail/.xsession-errors
:pos:	2655410
:flags:	02002
:2:/home/mikhail/.xsession-errors
:pos:	2655410
:flags:	02002
:3:socket:[28184]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[28994]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:socket:[28197]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:socket:[28200]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:socket:[5904004]
:pos:	0
:flags:	02004002
:12:socket:[29428]
:pos:	0
:flags:	02004002
:13:socket:[28401]
:pos:	0
:flags:	02004002
:14:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:15:/home/mikhail/.pki/nssdb/cert9.db
:pos:	2048
:flags:	02100002
:16:/var/tmp/etilqs_XFmzNJHydvWxcv7 (deleted)
:pos:	28
:flags:	02100002
:17:/var/tmp/etilqs_G8e05BBAiQ57vRd (deleted)
:pos:	2056
:flags:	02500002
:18:/var/tmp/etilqs_wEuicFwfMIurwgM (deleted)
:pos:	2048
:flags:	02500002
:19:/home/mikhail/.pki/nssdb/key4.db
:pos:	40
:flags:	02100002
:20:/var/tmp/etilqs_0NwZF256eSHwXOO (deleted)
:pos:	28
:flags:	02100002
:21:/var/tmp/etilqs_88QZYR8271nWDWw (deleted)
:pos:	2056
:flags:	02500002
:22:/var/tmp/etilqs_VVj26zGUYiIKPeu (deleted)
:pos:	2048
:flags:	02500002
:23:/etc/pki/nssdb/cert9.db
:pos:	2048
:flags:	02100000
:24:/var/tmp/etilqs_0rREQbhQjEoag0X (deleted)
:pos:	28
:flags:	02100002
:25:/var/tmp/etilqs_uPs3YgbUqqRL0Mc (deleted)
:pos:	2048
:flags:	02500002
:26:/etc/pki/nssdb/key4.db
:pos:	40
:flags:	02100000
:27:/var/tmp/etilqs_bMAwANd3GOuhYvC (deleted)
:pos:	28
:flags:	02100002
:28:/var/tmp/etilqs_JgcvOhIbYIwUEvv (deleted)
:pos:	2048
:flags:	02500002
:29:/home/mikhail/.local/share/evolution/mail/local/folders.db
:pos:	38912
:flags:	02100002
:30:/home/mikhail/.local/share/evolution/mail/vfolder/folders.db
:pos:	40
:flags:	02100002
:31:/home/mikhail/.cache/evolution/mail/1333120619.4756.0@telecon17l.afbank.ru/folders.db
:pos:	14274560
:flags:	02100002
:32:anon_inode:inotify
:pos:	0
:flags:	02004000
:33:/home/mikhail/.cache/evolution/mail/1333516140.1463.1@telecon17l.afbank.ru/folders.db
:pos:	40
:flags:	02100002
:34:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:35:/dev/urandom
:pos:	0
:flags:	02000000
:36:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:37:socket:[240774]
:pos:	0
:flags:	02004002
:38:socket:[31020]
:pos:	0
:flags:	02000002
:39:/home/mikhail/.local/share/gvfs-metadata/home (deleted)
:pos:	0
:flags:	0100000
:40:/home/mikhail/.local/share/gvfs-metadata/home-8b8d6bf4.log (deleted)
:pos:	0
:flags:	0100000
:41:socket:[320696]
:pos:	0
:flags:	02004002
:42:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: 24b82623-fdb0-487f-b726-0d6b01472500
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 4787.76
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     E4600  @ 2.40GHz
:CPU Stepping: 13
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 2400
:System Memory: 3010
:System Swap: 16382
:Vendor: Unknown
:System:  
:Form factor: Unknown
:Kernel: 3.4.4-5.fc17.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10672:32902:20298) pci, None, HOST/PCI, 82Q35 Express DRAM Controller
:(32902:10673:32902:20298) pci, pcieport, PCI/PCI, 82Q35 Express PCI Express Root Port
:(4523:24833:4523:24833) pci, pata_marvell, STORAGE, 88SE6101/6102 single-port PATA133 interface
:(32902:10544:32902:20298) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10530:32902:20298) pci, ahci, STORAGE, 82801IR/IO/IH (ICH9R/DO/DH) 6 port SATA AHCI Controller
:(32902:10516:32902:20298) pci, None, PCI/ISA, 82801IO (ICH9DO) LPC Interface Controller
:(32902:4285:32902:1) pci, e1000e, ETHERNET, 82566DM-2 Gigabit Network Connection
:(32902:9294:32902:20298) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10549:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:32902:20298) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:32902:20298) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:10564:32902:10564) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 3
:(32902:10566:32902:10566) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10560:32902:10560) pci, pcieport, PCI/PCI, Optiplex 755
:(32902:10562:32902:10562) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10676:32902:20298) pci, None, SIMPLE, 82Q35 Express MEI Controller
:(32902:10568:32902:10568) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:32902:18) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4098:43664:5963:43664) pci, snd_hda_intel, MULTIMEDIA, N/A
:(4098:26457:5963:57747) pci, radeon, VIDEO, NI Turks [AMD Radeon HD 6500]
:(4545:22545:4545:22545) pci, firewire_ohci, FIREWIRE, FW322/323
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 5112289 2142295 2091102 1286144 961566 961566
:/dev/sda5 /home ext4 4096 4096 27764613 2046395 656008 6955008 6852878 6852878
:
Comment 1 Mikhail 2012-07-12 08:48:43 EDT
Created attachment 597790 [details]
File: backtrace
Comment 2 Mikhail 2012-07-12 08:48:46 EDT
Created attachment 597791 [details]
File: gconf_subtree
Comment 3 Mikhail 2012-07-12 08:48:49 EDT
Created attachment 597792 [details]
File: xsession_errors
Comment 4 Mikhail 2012-07-12 08:48:57 EDT
Created attachment 597793 [details]
File: maps
Comment 5 Mikhail 2012-07-12 08:49:01 EDT
Created attachment 597795 [details]
File: dso_list
Comment 6 Mikhail 2012-07-12 08:49:04 EDT
Created attachment 597796 [details]
File: build_ids
Comment 7 Mikhail 2012-07-12 08:49:06 EDT
Created attachment 597797 [details]
File: var_log_messages
Comment 8 Milan Crha 2012-07-13 09:25:16 EDT
Thanks for a bug report. I found similar upstream libsoup bug [1], maybe it's the same issue. I asked Dan to have a look here too.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=663084
Comment 9 Dan Winship 2012-07-19 08:36:08 EDT
Not the same bug; that one can only happen with SoupSessionSync, while this one is in SoupSessionAsync.
Comment 10 Milan Crha 2012-07-23 04:00:50 EDT
Ah, I see. Thanks Dan. I think evolution-ews has this fixed in with bug [1] from the last week, which is for evolution-ews 3.4.4+. Mikhail has it in a test package of evolution-ews, the 3.4.3-1.9. I'm closing this for now, but will reopen if this will happen again.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=673095

Note You need to log in before you can comment on or make changes to this bug.